# -*- coding: utf-8 -*-
'''
Created on 22/giu/2011

@author: simone cittadini
'''
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _


from cms.admin.placeholderadmin import PlaceholderAdmin

from jumbo.admin.options import OrderedModelAdmin, ExtendibleModelAdmin

from models import AreaEventi, Evento


# così non funziona l'edit dei placeholders
#class AreaEventiAdmin(ExtendibleModelAdmin, PlaceholderAdmin):
#    list_display = ('ordinale_pagina', 'numero_eventi_mostrati', 'nome',
#                    'get_edit_icon', 'get_delete_icon',)
class EventoAdmin(ExtendibleModelAdmin, OrderedModelAdmin):
    list_display = ('ordering', 
                    'nome', 
                    'data_inizio', 
                    'data_fine', 
                    'orario_inizio', 
                    'orario_fine', 
                    'immagine', 
                    'descrizione_riassuntiva', 
                    'link_esterno', 
                    'link_esterno_desc', 
                    'link_prenotazione', 
                    'link_prenotazione_desc', 
                    'area_evento', 
#                    'move_actions',
                    'get_edit_icon', 
                    'get_detail_icon',
                    'get_delete_icon',
                    )
    fieldsets = (
                 (_('logs admin'),
                  {'fields': ('creator', 'date_create','last_modifier',
                              'date_last_modify',),
                    'classes': ('collapse',)}),
                (None,
                 {'fields': ('nome', 'area_evento', 'data_inizio', 'data_fine',
                             'orario_inizio', 'orario_fine', 'thumb',
                             'immagine', 'descrizione_riassuntiva',
                             'descrizione', 'link_esterno',
                             'link_esterno_desc', 'link_prenotazione',
                             'link_prenotazione_desc', 'meta_title_tag',
                             'meta_description_tag', 'meta_keywords_tag')})
                 )
    
    default_group_by = 'area_evento'
    

admin.site.register(AreaEventi, PlaceholderAdmin)
admin.site.register(Evento, EventoAdmin)
