# -*- coding: utf-8 -*-
'''
Created on 22/giu/2011

@author: simone cittadini
'''
from django.views.generic.list_detail import object_list

from jumbo.shortcuts import render_to_response

from eventi.models import AreaEventi, Evento


def retrieve_eventi(request):
    aree_evento = {}
    for area_evento in AreaEventi.objects.all():
        aree_evento[area_evento.ordinale_pagina] = {}
        aree_evento[area_evento.ordinale_pagina]['area'] = area_evento
    return render_to_response('eventi/eventi_list.html', aree_evento = aree_evento)

def retrieve_eventi_paginated(request):
    area_slug = request.path.strip('/')
    area_evento = AreaEventi.objects.get(slug=area_slug)
    page = int(request.GET.get('page', '1'))
    qs = Evento.objects.filter(area_evento__slug=area_slug).order_by('-data_inizio')
    return object_list(request, queryset=qs, paginate_by=2, page=page,
                       template_name="eventi/eventi_%s_list.html" % area_slug,
                       extra_context={'area_evento' : area_evento})

def dettaglio_evento(request, pk):
    evento = Evento.objects.get(pk=pk)
    return render_to_response('eventi/evento_dettaglio.html', evento = evento)
