# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Termine.date_create'
        db.add_column('glossario_termine', 'date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True), keep_default=False)

        # Adding field 'Termine.date_last_modify'
        db.add_column('glossario_termine', 'date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True), keep_default=False)

        # Adding field 'Termine.status'
        db.add_column('glossario_termine', 'status', self.gf('jumbo.db.fields.StatusField')(), keep_default=False)

        # Adding field 'Termine.creator'
        db.add_column('glossario_termine', 'creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='glossario_termine_creator', null=True, to=orm['auth.User']), keep_default=False)

        # Adding field 'Termine.last_modifier'
        db.add_column('glossario_termine', 'last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='glossario_termine_last_modifier', null=True, to=orm['auth.User']), keep_default=False)

    def backwards(self, orm):
        
        # Deleting field 'Termine.date_create'
        db.delete_column('glossario_termine', 'date_create')

        # Deleting field 'Termine.date_last_modify'
        db.delete_column('glossario_termine', 'date_last_modify')

        # Deleting field 'Termine.status'
        db.delete_column('glossario_termine', 'status')

        # Deleting field 'Termine.creator'
        db.delete_column('glossario_termine', 'creator_id')

        # Deleting field 'Termine.last_modifier'
        db.delete_column('glossario_termine', 'last_modifier_id')

    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'glossario.glossario': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Glossario'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'placeholder_ricerca': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_ricerca'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'glossario.termine': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Termine'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'glossario_termine_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'glossario': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['glossario.Glossario']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'glossario_termine_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'nome': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        }
    }

    complete_apps = ['glossario']
