# -*- coding: utf-8 -*-
'''
Created on 19/lug/2011

@author: simone cittadini
'''
from django.conf import settings
from django.shortcuts import render_to_response

from eventi.models import AreaEventi, Evento


def get_nomi_aree():
    output = []
    for a in AreaEventi.objects.all():
        output.append((a.nome, a.nome))
    return output

class Gadget:

    def __init__(self):
        pass

    def gadget_info(self):
        fields = [
                {'title':'numero di eventi mostrati',
                 'id':'num_eventi',
                 'type':'text',
                 'value':'1'},
                {'title': 'area',
                 'id': 'area_evento',
                 'type': 'choice',
                 'choices': get_nomi_aree(),
                 'value': 'interni'},
                  ]
        return {'name': 'gadget_last_eventi',
                'title': 'Ultimi Eventi',
                'description': 'desc ultimi eventi',
                'colour': 'color-green',
                'icon': '%sidashboard/img/circle.png' % settings.MEDIA_URL,
                'fields': fields}

    def view(self, request, dashboard_item):
        configurato = True
        try:
            options = dashboard_item.get_extra_fields()
            num_eventi = options['num_eventi']
            area = AreaEventi.objects.get(nome=options['area_evento'])
            latest_eventi = Evento.objects.filter(area_evento__exact=area)[0:num_eventi]
        except AreaEventi.DoesNotExist:
            configurato = False
        return render_to_response('idashboard/gadgets/gadget_last_eventi.html',
                                  locals())
