from django.contrib import admin
from django.utils.translation import ugettext_lazy as _
from django.contrib.comments.admin import CommentsAdmin

from jcmscomments.models import ThreadedComment

from jumbo.admin.options import ExtendibleModelAdmin


class ThreadedCommentsAdmin(CommentsAdmin, ExtendibleModelAdmin):
    fieldsets = (
        (None,
           {'fields': ('content_type', 'object_pk', 'site')}
        ),
        (_('Content'),
           {'fields': ('user', 'user_name', 'user_email', 'user_url', 'title',
                       'comment')}
        ),
        (_('Hierarchy'),
           {'fields': ('parent',)}
        ),
        (_('Metadata'),
           {'fields': ('submit_date', 'ip_address', 'is_public', 'is_removed')}
        ),
    )

    list_display = ('comment', 'content_type', 'object_pk',
                    'ip_address', 'submit_date', 'is_public', 'get_delete_icon')
    search_fields = ('title', 'comment', 'user__username', 'user_name',
                     'user_email', 'user_url', 'ip_address')
    raw_id_fields = ("parent",)
    list_filter = ()

admin.site.register(ThreadedComment, ThreadedCommentsAdmin)

