# -*- coding: utf-8 -*-
'''
Created on 20/lug/2011

@author: simone cittadini
'''
from django import forms

from jumbo.shortcuts import render_to_response
from django.http import HttpResponse, HttpResponseRedirect, iri_to_uri

CHOICES = (('215', 'Direttori Commerciali'),
           ('216', 'Promotori'),
           ('238', 'Area Manager'),
           ('312', 'Clienti'),
           ('313', 'Prospect'),
)


class HttpResponseTemporaryRedirect(HttpResponse):
    status_code = 307

    def __init__(self, redirect_to):
        HttpResponse.__init__(self)
        self['Location'] = iri_to_uri(redirect_to)


class RequestMailForm(forms.Form):
    richiedente_iscrizione = forms.ChoiceField(choices=CHOICES,
                                               widget=forms.RadioSelect)
    campo1 = forms.CharField() # nome
    campo2 = forms.CharField() # cognome
    email = forms.EmailField()
    campo3 = forms.CharField(required=False)
    sms = forms.CharField(required=False) # cellulare
    campo6 = forms.CharField(required=False) # città
    aut_privacy = forms.BooleanField(label="", 
                    error_messages={'required': 'Devi accettare la privacy.'})

def send_request_mail(request):
    if request.method == 'POST':
        form = RequestMailForm(request.POST)
        if form.is_valid():
            return HttpResponseTemporaryRedirect('http://news.eroom.it/frontend/subscribe.aspx')
    else:
        form = RequestMailForm(initial={'richiedente_iscrizione': 'Promotori'})
    return render_to_response('jcmsnewsletter/send_request_mail.html',
                              form=form)
