# -*- coding: utf-8 -*-
'''
Created on 28/giu/2011

@author: simone cittadini
'''
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from cms.admin.placeholderadmin import PlaceholderAdmin

from jumbo.admin.options import OrderedModelAdmin, ExtendibleModelAdmin
from jcmspress.models import AreaPress, Press, Source


class PressAdmin(ExtendibleModelAdmin, OrderedModelAdmin):
    list_display = ('date_p',
                    'title',
                    'slug',
                    'source',
                    'file',
                    'abstract',
                    'keywords',
                    'area_press', 
                    'move_actions',
                    'get_edit_icon', 
                    'get_detail_icon',
                    'get_delete_icon',
                    )
    
    fieldsets = (
                 (_('logs admin'),
                  {'fields': ('creator', 'date_create','last_modifier',
                              'date_last_modify',),
                    'classes': ('collapse',)}),
                    (None, 
                     {'fields': ('title', 'area_press', 'date_p', 'slug', 
                                 'source', 'file', 'abstract', 'keywords',)})
                )
    
    default_group_by = 'area_press'

admin.site.register(AreaPress, PlaceholderAdmin)
admin.site.register(Source)
admin.site.register(Press, PressAdmin)
