# -*- coding: utf-8 -*-
'''
Created on 26/lug/2011

@author: simone cittadini
'''
import datetime
from django import template
from django.conf import settings
from django.db.models import Q

from jcmspress.models import Press


register = template.Library()

# archive --> mostro lista di anni e/o mesi che contengono press
# list --> mostro una lista di aree o press filtrate in base a qualche data
# detail --> mostro una sola specifica press

@register.inclusion_tag('jcmspress/tags/year_archive.html', takes_context=True)
def press_year_archive(context, year=None, sort='DESC'):
    kwargs = {}
    if year:
        kwargs.update({'date_p__year': year })
        
    context['month_list'] = Press.objects.filter(**kwargs).dates('date_p', 
                                                                 'month',
                                                                 order=sort)[:12]
    return context

@register.inclusion_tag('jcmspress/tags/month_list.html', takes_context=True)
def area_month_list(context, year=None, month=None, sort='DESC'):
    kwargs = {}
    if year:
        kwargs.update({'date_p__year': year })
    if month:
        pass
    return context
