# -*- coding: utf-8 -*-
'''
Created on 24/giu/2011

@author: simone cittadini
'''
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from cms.admin.placeholderadmin import PlaceholderAdmin

from jumbo.admin.options import OrderedModelAdmin, ExtendibleModelAdmin
from models import AreaVideo, Video


class VideoAdmin(ExtendibleModelAdmin, OrderedModelAdmin):
    list_display = ('ordering', 
                    'titolo',
                    'sottotitolo',
                    'descrizione',
                    'thumb',
                    'file',
                    'area_video', 
#                    'move_actions',
                    'get_edit_icon', 
                    'get_detail_icon',
                    'get_delete_icon',
                    )
    
    fieldsets = (
                 (_('logs admin'),
                  {'fields': ('creator', 'date_create','last_modifier',
                              'date_last_modify',),
                    'classes': ('collapse',)}),
                    (None,
                     {'fields': ('area_video', 'ordering', 'titolo',
                                 'sottotitolo', 'descrizione', 'thumb',
                                 'file', 'autoencode', 'embed_code',
                                 'meta_title_tag', 'meta_description_tag',
                                 'meta_keywords_tag')}),
                )
    
    exclude = ('likes',
               'dislikes',
               'visualizzazioni',)
    
    default_group_by = 'area_video'

admin.site.register(AreaVideo, PlaceholderAdmin)
admin.site.register(Video, VideoAdmin)
