# -*- coding: utf-8 -*-
'''
Created on 24/giu/2011

@author: simone cittadini
'''

#from django import forms
#from django.http import HttpResponseRedirect
#from django.template.context import RequestContext
from django.views.generic.list_detail import object_list, object_detail
from django.http import HttpResponse, Http404
from django.core.paginator import Paginator, InvalidPage, EmptyPage
from django.contrib.comments.models import Comment
from django.contrib.contenttypes.models import ContentType

from jumbo.shortcuts import render_to_response

from video.models import AreaVideo, Video

def lista_aree(request):
    """
    Se la url di provenienza  corrisponde ad un'area mostro la lista
    personalizzata per quell'area. Altrimenti mostro una lista delle aree.
    """
    area_slug = request.path.strip('/')
    try:
        area = AreaVideo.objects.get(slug=area_slug)
        lista_video = Video.objects.filter(area_video__exact=area)
        return render_to_response('video/video_list_%s.html' % area_slug,
                                  area=area, lista_video=lista_video)
    except AreaVideo.DoesNotExist:
        aree = AreaVideo.objects.all()
        return render_to_response('video/lista_aree.html', areee=aree)

def retrieve_video(request, area_pk=None, pk=None):
    try:
        if area_pk:
            try:
                area = AreaVideo.objects.get(pk = area_pk)
            except AreaVideo.DoesNotExist:
                return render_to_response('video/error_noarea.html')
        else:
            area = AreaVideo.objects.all()[0]
    except:
        return render_to_response('video/error_noarea.html')

    if Video.objects.filter(area_video__exact=area).count() > 0:
        if not pk:
            videos = Video.objects.filter(area_video__exact=area
                                          ).order_by('-ordering')
            video_mostrato = videos[0]
            videos = videos.exclude(pk__exact=video_mostrato.pk
                                    ).order_by('-ordering')
        else:
            videos = Video.objects.filter(area_video__exact=area).\
                exclude(pk__exact=pk).order_by('-ordering')
            video_mostrato = Video.objects.get(pk=pk)
    else:
        videos = Video.objects.none()
        video_mostrato = None
    
    if video_mostrato:
        if request.GET.has_key('invia_like'):
            video_mostrato.like()
        elif request.GET.has_key('invia_dislike'):
            video_mostrato.dislike()
        else:
            pass
        # lo vogliono solo onclick, spostato in chiamata jQuery
#            video_mostrato.see()
        
        content_type_id=ContentType.objects.get_for_model(Video)
        comment_list = Comment.objects.filter(content_type=content_type_id,
                                              object_pk=video_mostrato.pk)
        
        paginator = Paginator(comment_list, 5)
        try:
            page = int(request.GET.get('page', '1'))
        except ValueError:
            page = 1
        try:
            page = paginator.page(page)
        except (EmptyPage, InvalidPage):
            page = paginator.page(paginator.num_pages)
    else:
        page=0
        
    return render_to_response('video/video_list.html', 
                              area = area, 
                              videos = videos,
                              video_mostrato = video_mostrato,
                              page = page)
    
def incrementa_viste(request, pk):
    try:
        v = Video.objects.get(pk=pk)
        v.see()
    except:
        pass
    return HttpResponse("OK")
